Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('extendedprofile')->group(function () {
    Route::get('/', 'ExtendedProfileController@index');
});
Route::prefix('/')
    ->middleware(['auth:sanctum', 'verified'])
    ->group(function () {
        Route::resource(
            'affiliate-profiles',
            AffiliateProfileController::class
        );
    });

Models/AffiliateProfile.php
<?php
declare(strict_types=1);

namespace Modules\ExtendedProfile\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;
use Modules\ExtendedProfile\Database\Factories\AffiliateProfileFactory;
use Modules\IRCore\Models\EventAwareModel;
use Modules\IRCore\Observers\DataHistoryEnabledModelObserver;
use Spatie\Permission\Traits\HasRoles;

class AffiliateProfile extends EventAwareModel
{
    use HasRoles;
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected const codiceAllowedChars = 'ABCDEFGHJLMNPQRSTUVWYZ23456789';
    protected const codiceLength = 12;
    protected $fillable = [
        'user_id',
        'parent_affiliate_profile_id',
        'codice_fiscale',
        'partita_iva',
        'indirizzo',
        'cap',
        'localita',
        'provincia',
        'descrizione',
        'codice'
    ];
    protected $searchableFields = ['*'];
    protected $table = 'affiliate_profiles';

    public static function getIdFromUserId($userId): int
    {
        $profile = self::findByUserId($userId);
        return $profile ? $profile->id : 0;
    }

    public static function findByUserId(int $id)
    {
        return self::whereUserId($id)->first();
    }

    public static function makeCodice(): string
    {
        $codice = self::makeRandomString();
        while (self::codiceExists($codice)) {
            $codice = self::makeRandomString();
        }
        return $codice;
    }

    protected static function makeRandomString(): string
    {
        $str = '';
        $maxCharInd = strlen(self::codiceAllowedChars) - 1;
        for ($i = 0; $i < self::codiceLength; $i++) {
            $str .= self::codiceAllowedChars[rand(0, $maxCharInd)];
        }
        return $str;
    }

    public static function codiceExists(string $codice): bool
    {
        return (bool)(self::whereCodice($codice)
            ->firstOr(function () {
                return false;
            }
            ));
    }

    protected static function booted()
    {
        self::observe(DataHistoryEnabledModelObserver::class);
    }

    protected static function newFactory()
    {
        return AffiliateProfileFactory::new();
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function parentAffiliateProfile(): BelongsTo
    {
        return $this->belongsTo(AffiliateProfile::class);
    }

    public function childrenAffiliateProfiles(): HasMany
    {
        return $this->hasMany(AffiliateProfile::class);
    }
}

Http/Controllers/AffiliateProfileController.php
<?php
declare(strict_types=1);

namespace Modules\ExtendedProfile\Http\Controllers;

use Auth;
use Illuminate\Contracts\Foundation\Application as ContractsApplication;
use Illuminate\Contracts\View\Factory;
use Illuminate\Foundation\Application as ApplicationFoudation;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\View\View;
use Modules\ExtendedProfile\Http\Requests\AffiliateProfileStoreRequest;
use Modules\ExtendedProfile\Http\Requests\AffiliateProfileUpdateRequest;
use Modules\ExtendedProfile\Models\AffiliateProfile;

class AffiliateProfileController extends ExtendedProfileAbstractController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function index(Request $request): ContractsApplication|Factory|View|ApplicationFoudation
    {
        $this->authorize('view-any', AffiliateProfile::class);

        $search = $request->get('search', '');

        $affiliateProfiles = AffiliateProfile::search($search)
            ->latest()
            ->paginate(5)
            ->withQueryString();

        return view(
            'extendedprofile::app.affiliate_profiles.index',
            compact('affiliateProfiles', 'search')
        );
    }

    public function store(AffiliateProfileStoreRequest $request): RedirectResponse
    {
        $this->authorize('create', AffiliateProfile::class);

        $validated = $request->validated();
        $validated['user_id'] = Auth::user()->id;

        $parentAffiliate = AffiliateProfile::whereCodice($validated['codice_parent'])->first();
        $validated['parent_affiliate_profile_id'] = $parentAffiliate?->id;
        $validated['codice'] = AffiliateProfile::makeCodice();
        $affiliateProfile = AffiliateProfile::create($validated);

        return redirect()
            ->route('affiliate-profiles.edit', $affiliateProfile)
            ->withSuccess(__('crud.common.created'));
    }

    public function create(Request $request): ContractsApplication|Factory|\Illuminate\Contracts\View\View|ApplicationFoudation
    {
        $this->authorize('create', AffiliateProfile::class);
        return view('extendedprofile::app.affiliate_profiles.create');
    }

    public function show(Request $request, AffiliateProfile $affiliateProfile): ContractsApplication|Factory|\Illuminate\Contracts\View\View|ApplicationFoudation
    {
        $this->authorize('view', $affiliateProfile);
        return view('extendedprofile::app.affiliate_profiles.show', compact('affiliateProfile'));
    }

    public function edit(Request $request, AffiliateProfile $affiliateProfile): ContractsApplication|Factory|\Illuminate\Contracts\View\View|ApplicationFoudation
    {
        $this->authorize('update', $affiliateProfile);
        return view(
            'extendedprofile::app.affiliate_profiles.edit',
            compact('affiliateProfile')
        );
    }

    public function update(AffiliateProfileUpdateRequest $request, AffiliateProfile $affiliateProfile): RedirectResponse
    {
        $this->authorize('update', $affiliateProfile);
        $validated = $request->validated();
        $affiliateProfile->update($validated);
        return redirect()
            ->route('affiliate-profiles.edit', $affiliateProfile)
            ->withSuccess(__('crud.common.saved'));
    }

    public function destroy(Request $request, AffiliateProfile $affiliateProfile): RedirectResponse
    {
        $this->authorize('delete', $affiliateProfile);
        $affiliateProfile->delete();
        return redirect()
            ->route('affiliate-profiles.index')
            ->withSuccess(__('crud.common.removed'));
    }
}

Http/Controllers/Api/AffiliateProfileController.php
<?php
declare(strict_types=1);

namespace Modules\ExtendedProfile\Http\Controllers\Api;

use Auth;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\ResourceCollection;
use Illuminate\Http\Response;
use Modules\ExtendedProfile\Events\AffiliateRegistered;
use Modules\ExtendedProfile\Http\Requests\AffiliateProfileStoreRequest;
use Modules\ExtendedProfile\Http\Requests\AffiliateProfileUpdateRequest;
use Modules\ExtendedProfile\Http\Resources\AffiliateProfileCollection;
use Modules\ExtendedProfile\Http\Resources\AffiliateProfileResource;
use Modules\ExtendedProfile\Models\AffiliateProfile;


class AffiliateProfileController extends ExtendedProfileAbstractController
{
    public function index(Request $request): ResourceCollection
    {
        $this->authorize('view-any', AffiliateProfileController::class);
        $search = $request->get('search', '');
        $affiliateProfiles = AffiliateProfile::search($search)
            ->latest()
            ->paginate();

        return new AffiliateProfileCollection($affiliateProfiles);
    }

    public function store(AffiliateProfileStoreRequest $request): AffiliateProfileResource
    {
        $this->authorize('create', AffiliateProfile::class);

        $validated = $request->validated();

        if ($request->get('codice_parent', '') != '') {
            $parent = AffiliateProfile::whereCodice($request->input('codice_parent'))->first();
            $validated['parent_id'] = $parent ?? $parent->user->id;
        }
        $validated['user_id'] = Auth::user()->id;
        $validated['codice'] = AffiliateProfileController::makeCodice();
        $affiliateProfile = AffiliateProfileController::create($validated);
        // accoda l'evento di registrazione profilo affiliato eseguita
        AffiliateRegistered::dispatch($affiliateProfile);
        return new AffiliateProfileResource($affiliateProfile);
    }

    public function show(
        Request          $request,
        AffiliateProfileController $affiliateProfile
    ): AffiliateProfileResource
    {
        $this->authorize('view', $affiliateProfile);
        return new AffiliateProfileResource($affiliateProfile);
    }

    public function update(
        AffiliateProfileUpdateRequest $request,
        AffiliateProfileController $affiliateProfile
    ): AffiliateProfileResource
    {
        $this->authorize('update', $affiliateProfile);
        $validated = $request->validated();
        $affiliateProfile->update($validated);
        return new AffiliateProfileResource($affiliateProfile);
    }

    public function destroy(
        Request          $request,
        AffiliateProfileController $affiliateProfile
    ): Response
    {
        $this->authorize('delete', $affiliateProfile);
        $affiliateProfile->delete();
        return response()->noContent();
    }
}

Resources/views/app/affiliate_profiles/create.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            @lang('extendedprofile::crud.affiliate_profiles.create_title')
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <x-partials.card>
                <x-slot name="title">
                    <a
                        href="{{ route('affiliate-profiles.index') }}"
                        class="mr-4"
                    ><i class="mr-1 icon ion-md-arrow-back"></i
                        ></a>
                </x-slot>

                <x-form
                    method="POST"
                    action="{{ route('affiliate-profiles.store') }}"
                    class="mt-4"
                >
                    @include('extendedprofile::app.affiliate_profiles.form-inputs')

                    <div class="mt-10">
                        <a
                            href="{{ route('affiliate-profiles.index') }}"
                            class="button"
                        >
                            <i
                                class="
                                    mr-1
                                    icon
                                    ion-md-return-left
                                    text-primary
                                "
                            ></i>
                            @lang('crud.common.back')
                        </a>

                        <button
                            type="submit"
                            class="button button-primary float-right"
                        >
                            <i class="mr-1 icon ion-md-save"></i>
                            @lang('crud.common.create')
                        </button>
                    </div>
                </x-form>
            </x-partials.card>
        </div>
    </div>
</x-app-layout>

Resources/views/app/affiliate_profiles/edit.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            @lang('extendedprofile::crud.affiliate_profiles.edit_title')
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <x-partials.card>
                <x-slot name="title">
                    <a
                        href="{{ route('affiliate-profiles.index') }}"
                        class="mr-4"
                    ><i class="mr-1 icon ion-md-arrow-back"></i
                        ></a>
                </x-slot>

                <x-form
                    method="PUT"
                    action="{{ route('affiliate-profiles.update', $affiliateProfile) }}"
                    class="mt-4"
                >
                    @include('extendedprofile::app.affiliate_profiles.form-inputs')

                    <div class="mt-10">
                        <a
                            href="{{ route('affiliate-profiles.index') }}"
                            class="button"
                        >
                            <i
                                class="
                                    mr-1
                                    icon
                                    ion-md-return-left
                                    text-primary
                                "
                            ></i>
                            @lang('crud.common.back')
                        </a>

                        <a
                            href="{{ route('affiliate-profiles.create') }}"
                            class="button"
                        >
                            <i class="mr-1 icon ion-md-add text-primary"></i>
                            @lang('crud.common.create')
                        </a>

                        <button
                            type="submit"
                            class="button button-primary float-right"
                        >
                            <i class="mr-1 icon ion-md-save"></i>
                            @lang('crud.common.update')
                        </button>
                    </div>
                </x-form>
            </x-partials.card>
        </div>
    </div>
</x-app-layout>

Resources/views/app/affiliate_profiles/index.blade.php
@php use Modules\ExtendedProfile\Models\AffiliateProfile; @endphp
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            @lang('extendedprofile::crud.affiliate_profiles.index_title')
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <x-partials.card>
                <div class="mb-5 mt-4">
                    <div class="flex flex-wrap justify-between">
                        <div class="md:w-1/2">
                            <form>
                                <div class="flex items-center w-full">
                                    <x-inputs.text name="search" value="{{ $search ?? '' }}"
                                                   placeholder="{{ __('crud.common.search') }}"
                                                   autocomplete="off"></x-inputs.text>
                                    <div class="ml-1">
                                        <button type="submit" class="button button-primary">
                                            <i class="icon ion-md-search"></i>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="md:w-1/2 text-right">
                            @can('create', AffiliateProfile::class)
                                <a href="{{ route('affiliate-profiles.create') }}" class="button button-primary">
                                    <i class="mr-1 icon ion-md-add"></i>
                                    @lang('crud.common.create')
                                </a>
                            @endcan
                        </div>
                    </div>
                </div>

                <div class="block w-full overflow-auto scrolling-touch">
                    <table class="w-full max-w-full mb-4 bg-transparent">
                        <thead class="text-gray-700">
                        <tr>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.user_id')
                            </th>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.codice_fiscale')
                            </th>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.partita_iva')
                            </th>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.indirizzo')
                            </th>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.cap')
                            </th>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.localita')
                            </th>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.provincia')
                            </th>
                            <th class="px-4 py-3 text-left">
                                @lang('extendedprofile::crud.affiliate_profiles.inputs.descrizione')
                            </th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody class="text-gray-600">
                        @forelse($affiliateProfiles as $affiliateProfile)
                            <tr class="hover:bg-gray-50">
                                <td class="px-4 py-3 text-left">
                                    {{ optional($affiliateProfile->user)->name ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-left">
                                    {{ $affiliateProfile->codice_fiscale ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-left">
                                    {{ $affiliateProfile->partita_iva ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-left">
                                    {{ $affiliateProfile->indirizzo ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-left">
                                    {{ $affiliateProfile->cap ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-left">
                                    {{ $affiliateProfile->localita ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-left">
                                    {{ $affiliateProfile->provincia ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-left">
                                    {{ $affiliateProfile->descrizione ?? '-' }}
                                </td>
                                <td class="px-4 py-3 text-center" style="width: 134px;">
                                    <div role="group" aria-label="Row Actions"
                                         class="relative inline-flex align-middle">
                                        @can('update', $affiliateProfile)
                                            <a href="{{ route('affiliate-profiles.edit', $affiliateProfile) }}"
                                               class="mr-1">
                                                <button type="button" class="button">
                                                    <i class="icon ion-md-create"></i>
                                                </button>
                                            </a>
                                        @endcan
                                        @can('view', $affiliateProfile)
                                            <a href="{{ route('affiliate-profiles.show', $affiliateProfile) }}"
                                               class="mr-1">
                                                <button type="button" class="button">
                                                    <i class="icon ion-md-eye"></i>
                                                </button>
                                            </a>
                                        @endcan
                                        @can('delete',$affiliateProfile)
                                            <form action="{{ route('affiliate-profiles.destroy', $affiliateProfile) }}"
                                                  method="POST"
                                                  onsubmit="return confirm('{{ __('crud.common.are_you_sure') }}')">
                                                @csrf @method('DELETE')
                                                <button type="submit" class="button">
                                                    <i class="icon ion-md-trash text-red-600"></i>
                                                </button>
                                            </form>
                                        @endcan
                                    </div>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="9">
                                    @lang('crud.common.no_items_found')
                                </td>
                            </tr>
                        @endforelse
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="9">
                                <div class="mt-10 px-4">
                                    {!! $affiliateProfiles->render() !!}
                                </div>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </x-partials.card>
        </div>
    </div>
</x-app-layout>

Resources/views/app/affiliate_profiles/parent-data.blade.php
<?php
$parent_affiliate = $affiliateProfile->parentAffiliateProfile;
?>
<div class="mt-4 px-4">
    <div class="mb-4">
        <h4 class="font-bold text-gray-700">
            @lang('extendedprofile::crud.affiliate_profiles.parent_profile')
        </h4>
    </div>

    @if ($parent_affiliate)

        <div class="mb-4">
            <h5 class="font-medium text-gray-700">
                @lang('extendedprofile::crud.affiliate_profiles.name')
            </h5>
            <span>{{ $parent_affiliate->user->name ?? '-' }}</span>
        </div>
        <div class="mb-4">
            <h5 class="font-medium text-gray-700">
                @lang('extendedprofile::crud.affiliate_profiles.inputs.promo_code')
            </h5>
            <button class="button affiliate-code parent">{{ $parent_affiliate->codice ?? '-' }}</button>
        </div>
        <div class="mb-4">
            <h5 class="font-medium text-gray-700">
                @lang('extendedprofile::crud.affiliate_profiles.inputs.descrizione')
            </h5>
            <span>{{ $parent_affiliate->descrizione ?? '-' }}</span>
        </div>

    @else
        <div class="mb-4">
            <h5 class="font-medium text-gray-700">
                @lang('extendedprofile::crud.affiliate_profiles.no_parent_profile')
            </h5>
        </div>
    @endif

</div>

Resources/views/app/affiliate_profiles/register.blade.php
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            @lang('crud.affiliate_profiles.create_title')
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <x-partials.card>
                <x-slot name="title">
                    <a
                        href="{{ route('affiliate-profiles.index') }}"
                        class="mr-4"
                    ><i class="mr-1 icon ion-md-arrow-back"></i
                        ></a>
                </x-slot>

                <x-form
                    method="POST"
                    action="{{ route('affiliate-profiles.store') }}"
                    class="mt-4"
                >
                    @include('extendedprofile::app.affiliate_profiles.form-inputs')

                    <div class="mt-10">
                        <a
                            href="{{ route('affiliate-profiles.index') }}"
                            class="button"
                        >
                            <i
                                class="
                                    mr-1
                                    icon
                                    ion-md-return-left
                                    text-primary
                                "
                            ></i>
                            @lang('crud.common.back')
                        </a>

                        <button
                            type="submit"
                            class="button button-primary float-right"
                        >
                            <i class="mr-1 icon ion-md-save"></i>
                            @lang('crud.common.create')
                        </button>
                    </div>
                </x-form>
            </x-partials.card>
        </div>
    </div>
</x-app-layout>

Resources/views/app/affiliate_profiles/show.blade.php
@section('module-resources')
    <!-- bingo -->
    @vite([
                'Modules/ExtendedProfile/Resources/assets/sass/app.scss',
                ])
@endsection

@php use Modules\ExtendedProfile\Models\AffiliateProfile; @endphp
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            @lang('extendedprofile::crud.affiliate_profiles.show_title')
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <x-partials.card>
                <x-slot name="title">
                    <a href="{{ route('affiliate-profiles.index') }}"><i class="mr-1 icon ion-md-arrow-back"></i></a>
                </x-slot>

                <div class="mt-4 px-4">
                    <div class="mb-4">
                        <h4 class="font-bold text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.user_id')
                        </h4>
                        <span>{{ optional($affiliateProfile->user)->name ?? '-' }}</span>
                    </div>
                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.promo_code')
                        </h5>
                        <button class="button affiliate-code">{{ $affiliateProfile->codice ?? '-' }}</button>
                    </div>

                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.codice_fiscale')
                        </h5>
                        <span>{{ $affiliateProfile->codice_fiscale ?? '-' }}</span>
                    </div>
                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.partita_iva')
                        </h5>
                        <span>{{ $affiliateProfile->partita_iva ?? '-' }}</span>
                    </div>
                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.indirizzo')
                        </h5>
                        <span>{{ $affiliateProfile->indirizzo ?? '-' }}</span>
                    </div>
                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.cap')
                        </h5>
                        <span>{{ $affiliateProfile->cap ?? '-' }}</span>
                    </div>
                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.localita')
                        </h5>
                        <span>{{ $affiliateProfile->localita ?? '-' }}</span>
                    </div>
                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.provincia')
                        </h5>
                        <span>{{ $affiliateProfile->provincia ?? '-' }}</span>
                    </div>
                    <div class="mb-4">
                        <h5 class="font-medium text-gray-700">
                            @lang('extendedprofile::crud.affiliate_profiles.inputs.descrizione')
                        </h5>
                        <span>{{ $affiliateProfile->descrizione ?? '-' }}</span>
                    </div>
                </div>

                @include('extendedprofile::app.affiliate_profiles.parent-data')

                <div class="mt-10">
                    <a href="{{ route('affiliate-profiles.index') }}" class="button">
                        <i class="mr-1 icon ion-md-return-left"></i>
                        @lang('crud.common.back')
                    </a>

                    @can('create', AffiliateProfile::class)
                        <a href="{{ route('affiliate-profiles.create') }}" class="button">
                            <i class="mr-1 icon ion-md-add"></i>
                            @lang('crud.common.create')
                        </a>
                    @endcan
                </div>
            </x-partials.card>

        </div>
    </div>
</x-app-layout>